std::filesystem::__directory_iterator_proxy(3cxx)

NAME
std::filesystem::__directory_iterator_proxy - Proxy returned by post-increment on directory iterators.

SYNOPSIS

#include <fs_dir.h>

  Public Member Functions

directory_entry operator* () &&noexcept
const directory_entry & operator* () const &noexcept

  Friends

class directory_iterator
class recursive_directory_iterator

Detailed Description

Proxy returned by post-increment on directory iterators.

Author

Generated automatically by Doxygen for libstdc++ from the source code.